karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Guillaume Nodet (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-4161) Adding requirement does not resolve required bundles
Date Wed, 02 Dec 2015 12:36:10 GMT

    [ https://issues.apache.org/jira/browse/KARAF-4161?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15035727#comment-15035727
] 

Guillaume Nodet commented on KARAF-4161:
----------------------------------------

Why do you mean by "installed repository" ? Did you configure the resourceRepositories in
etc/org.apache.karaf.feature.cfg file ?
If that's the case, I think I already have a fix, I'll try to commit it asap.

> Adding requirement does not resolve required bundles
> ----------------------------------------------------
>
>                 Key: KARAF-4161
>                 URL: https://issues.apache.org/jira/browse/KARAF-4161
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-feature
>            Reporter: David Leangen
>
> When using
> {code}
> feature:requirement-add ‘requirement:osgi.identity;osgi.identity=my.bundle;type=osgi.bundle'
> {code}
> required bundles are not getting resolved, even if they exist in an installed repository.
This seems to occur when the required bundle is available from a different repository.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message